#include <stdint.h>

enum
{
	KBD_CODE_BUTTON1 = 1,
	KBD_CODE_BUTTON2,


	KBD_CODE_UNUSED,
//
	KBD_CODE_MAX
};

/*  - =     OR */
#define KBD_LONGPRESS 0x80
//#define KBD_AUTOREP 0x40

/*  -   0   .
 *   ,  -    0x80
 */
/*      */
/*  - -     */
void  kbd_initialize(void);

/*  - ,  0   .
 *   , 
 *  -    0x80
 */
uint_least8_t kbd_scan(uint_least8_t * key, uint_least8_t * repeat);
uint_least8_t kbd_get_ishold(uint_least8_t key);

void kbd_spool(void);

uint_fast8_t timer_getevent(void);
